Loading...
Searching...
No Matches
simgrid.h File Reference
`#include <xbt/xbt_os_time.h>`

Go to the source code of this file.

## Data Structures

struct | _starpu_pthread_args

## Macros

#define | _STARPU_SIMGRID_MAIN_RETURN
#define | MAX_TSD
#define | STARPU_MPI_AS_PREFIX
#define | _starpu_simgrid_running_smpi()
#define | _starpu_simgrid_cuda_malloc_cost()
#define | _starpu_simgrid_cuda_queue_cost()
#define | _starpu_simgrid_task_submit_cost()
#define | _starpu_simgrid_task_push_cost()
#define | _starpu_simgrid_fetching_input_cost()
#define | _starpu_simgrid_sched_cost()
#define | _SIMGRID_TIMER_BEGIN(cond)
#define | _SIMGRID_TIMER_END
#define | _starpu_simgrid_data_new(size)
#define | _starpu_simgrid_data_increase(size)
#define | _starpu_simgrid_data_alloc(size)
#define | _starpu_simgrid_data_free(size)
#define | _starpu_simgrid_data_transfer(size, src_node, dst_node)

## Typedefs

typedef int | _starpu_simgrid_main_ret
typedef SD_link_t | starpu_sg_link_t

## Functions

_starpu_simgrid_main_ret | _starpu_simgrid_thread_start (int argc, char *argv[])
void | _starpu_start_simgrid (int *argc, char **argv)
void | _starpu_simgrid_init_early (int *argc, char ***argv)
void | _starpu_simgrid_init (void)
void | _starpu_simgrid_cpp_init (void)
void | _starpu_simgrid_deinit (void)
void | _starpu_simgrid_deinit_late (void)
void | _starpu_simgrid_actor_setup (void)
void | _starpu_simgrid_wait_tasks (int workerid)
void | _starpu_simgrid_submit_job (int workerid, int sched_ctx_id, struct _starpu_job *job, struct starpu_perfmodel_arch *perf_arch, double length, double energy, unsigned *finished)
int | _starpu_simgrid_transfer (size_t size, unsigned src_node, unsigned dst_node, struct _starpu_data_request *req)
int | _starpu_simgrid_wait_transfer_event (void *event)
int | _starpu_simgrid_test_transfer_event (void *event)
void | _starpu_simgrid_sync_gpus (void)
int | _starpu_simgrid_get_nbhosts (const char *prefix)
unsigned long long | _starpu_simgrid_get_memsize (const char *prefix, unsigned devid)
const char * | _starpu_simgrid_get_devname (const char *prefix, unsigned devid)
starpu_sg_host_t | _starpu_simgrid_get_host_by_name (const char *name)
starpu_sg_host_t | _starpu_simgrid_get_memnode_host (unsigned node)
starpu_sg_host_t | _starpu_simgrid_get_host_by_worker (struct _starpu_worker *worker)
void | _starpu_simgrid_get_platform_path (int version, char *path, size_t maxlen)
msg_as_t | _starpu_simgrid_get_as_by_name (const char *name)
int | starpu_mpi_world_rank (void)
int | _starpu_mpi_simgrid_init (int argc, char *argv[])
void | _starpu_simgrid_count_ngpus (void)
void | _starpu_simgrid_set_stack_size (size_t stack_size)
void | _starpu_simgrid_xbt_thread_create (const char *name, starpu_pthread_attr_t *attr, void_f_pvoid_t code, void *param)

## Variables

starpu_pthread_queue_t | _starpu_simgrid_transfer_queue [STARPU_MAXNODES]
starpu_pthread_queue_t | _starpu_simgrid_task_queue [STARPU_NMAXWORKERS]
size_t | _starpu_default_stack_size

## Data Structure Documentation

## _starpu_pthread_args

struct _starpu_pthread_args

Data Fields
void *(*)(void *) | f |
void * | arg |

## Macro Definition Documentation

## _starpu_simgrid_data_new

#define _starpu_simgrid_data_new | ( |  | size | ) |

Experimental functions for OOC stochastic analysis

## Function Documentation

## _starpu_simgrid_get_nbhosts()

int _starpu_simgrid_get_nbhosts | ( | const char * | prefix | ) |

Return the number of hosts prefixed by PREFIX

## _starpu_simgrid_count_ngpus()

void _starpu_simgrid_count_ngpus | ( | void |  | ) |

Called at initialization to count how many GPUs are interfering with each bus